# frozen_string_literal: true

# Copyright (c) 2015-2017, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

module Blockbridge::Api::CamelSnake
  UPPER_LOWER_SEQ_RX = /([A-Z]+)([A-Z][a-z])/.freeze
  LOWER_UPPER_SEQ_RX = /([a-z\d])([A-Z])/.freeze

  def self.snake_case(str)
     str.to_s.gsub(/::/, '/').
       gsub(UPPER_LOWER_SEQ_RX,'\1_\2').
       gsub(LOWER_UPPER_SEQ_RX,'\1_\2').
       tr("-", "_").
       downcase
  end

  def self.camel_case(str)
    return str if str !~ /_/ && str =~ /[A-Z]+.*/
    str.split('_').map{|e| e.capitalize}.join
  end
end
