# Copyright (c) 2016, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

require 'blockbridge/util/root_fileutils'

module BlockbridgeHost
  class LinuxSysfsControl < GenericControl
    include RootFileUtils

    def read(path, key, as_root: false)
      path = File.join(path, key)
      if as_root
        read_as_root(path)
      else
        File.read(path)
      end
    end

    def write(path, key, val)
      write_as_root("#{path}/#{key}", val)
    end
  end
end
