require 'blockbridge/util/filesystem'

describe Blockbridge::Util::Filesystem do
  describe '.mount_point' do
    it "identifies /proc as a mount point" do
      mnt_pt = Blockbridge::Util::Filesystem.mount_point('/proc')
      expect(mnt_pt).to eq "/proc"
    end

    it "identifies the same mount point for /etc and /etc/passwd" do
      etc_mp = Blockbridge::Util::Filesystem.mount_point('/etc')
      etc_passwd_mp = Blockbridge::Util::Filesystem.mount_point('/etc/passwd')
      expect(etc_mp).to eq etc_passwd_mp
    end

    it "raises an exception when given a bogus path" do
      expect do
        Blockbridge::Util::Filesystem.mount_point('/BoGuS/pAtH')
      end.to raise_error
    end
  end
end
