module Clamp
  module Subcommand

    Definition = Struct.new(:name, :description, :subcommand_class) do

      def initialize(names, description, subcommand_class, **options)
        @names = Array(names)
        @description = description
        @subcommand_class = subcommand_class
        @options = options.dup
        @hidden = options[:hidden] if options.key?(:hidden)
      end

      attr_reader :names, :description, :subcommand_class, :options

      def is_called?(name)
        names.member?(name)
      end

      def help
        [names.join(", "), description]
      end

      def hidden?
        @hidden
      end
    end

  end
end
