# frozen_string_literal: true

# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

module Blockbridge::CLI::AttrConfig
  def attr_config(attribute, cfg_path = nil, &blk)
    method_name = "default_#{attribute}"
    orig_method_name = "orig_#{method_name}"
    alias_method orig_method_name, method_name if method_defined?(method_name)

    define_method(method_name) do
      cfg_val = cfg_path ? config.get_path(cfg_path) : nil
      cfg_val = instance_exec(cfg_val, &blk) unless blk.nil?
      return cfg_val unless cfg_val.nil?

      send(orig_method_name) if respond_to?(orig_method_name)
    end
  end
end
