# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

module Blockbridge::CLI
  class RuntimeError < RuntimeError
    attr_reader :exit_status
    attr_reader :command
    def initialize(message, command = nil, exit_status: nil)
      @command = command
      @exit_status = exit_status
      super(message)
    end
  end

  class RuntimeSuccess < RuntimeError; end
  class TemplateError < RuntimeError; end
  class InternalError < RuntimeError; end
  class LookupError < RuntimeError; end

  class ConfigError < StandardError; end
end
