# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

net = data[:net]

return if net.nil?

fieldset(data[:title], :heading => data[:heading]) do
  net.ipaddrs.each_with_index do |addr, idx|
    field idx == 0 ? "addrs" : "", "#{addr.addr} (#{addr.family})"
  end
  field "hw addr", net.hwaddr
  field "mtu", net.mtu
  field "driver", "#{net.driver.name} (#{net.driver.version})"
  field "bus", net.driver.bus
  field "flags", net.flags.to_a.map { |(f, v)| v ? f.upcase() : nil }.compact.join(', ')
end

fieldset("Link") do
  if net.link.detected.nil?
    field "media", "status unknown"
  else
    field "media", net.link.detected ? 'present' : 'not present'
    field "speed", "#{net.link.speed} Mbps" if net.link.speed
    field "duplex", net.link.duplex
    field "port", net.link.port
  end
end

if options.verbose
  fieldset("Stats") do
    net.stats.each_pair do |k, v|
      field k, v
    end
  end
end
