# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

errors = data

puts "ERROR: Operation failed with the following validation " \
         "#{errors.length > 1 ? 'errors' : 'error'}:"
puts

errors.each_with_index do |err, idx|
  opt = cmd.map_param(err[:field])

  txt = "#{opt}: #{err[:msg]}"
  txt = txt.word_wrap(70)
  txt.lines.each_with_index do |line, idx|
    if idx == 0
      puts "* #{line}"
    else
      puts "  #{line}"
    end
  end
end

puts
puts "See: '#{cmd.invocation_path} --help'"
puts

if options.debug
  puts "RAW VALIDATION ERRORS:"
  raw errors.pretty_inspect

  puts
  puts "RAW PARAM MAP:"
  raw cmd.api_param_map.pretty_inspect
end
