# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

data.each do |authz|
  fieldset("Authorization: #{authz.serial}", heading: true) do
    field 'type',       authz.type.gsub('_', ' ')

    if (orig = authz.orig)
      field 'user', "#{orig.user.login} (su to #{authz.user.login})"
    else
      field 'user', authz.user.login
    end

    field 'created at', authz.created_at, :cast => :time

    if authz.expires_in
      field 'expires in', authz.expires_in, :cast => :duration_s
    else
      field 'expires in', '-never-'
    end
  end
end
