# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

authz = data

header color("Created authorization: #{authz.serial}", :bold)
vspace

fieldset("Authorization: #{authz.serial}", heading: true) do
  field "notes",            authz.notes if authz.notes && authz.notes.length > 0
  field "serial",           authz.serial
  field "account",          ref_str(authz.account_id)
  field "user",             ref_str(authz.user_id)
  field "enabled",          authz.enabled, :cast => :bool_yn
  field "created at",       authz.created_at, :cast => :time
  field "expires in",       authz.expires_in, :cast => :duration_s
  field "access type",      authz.access_type
  field "token suffix",     authz.access_token_suffix
  field "fingerprint",      authz.fingerprint
  field "restrict",         authz.restrict
  field "enforce 2-factor", authz.enforce_two_factor
  field "scope",            authz.scope
end

fieldset("Access Token") do
  field "access token", color(authz.access_token, :bold)
end

puts color("*** Remember to record your access token!", :bold)
vspace
