# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No authorizations found."
  return
end

data.each do |obj|
  fieldset("Authorization: #{obj.serial}", heading: true) do
    field "notes",            obj.notes if obj.notes && obj.notes.length > 0
    field "serial",           obj.serial
    field "account",          ref_str(obj.account_id)
    field "user",             ref_str(obj.user_id)
    field "enabled",          obj.enabled, :cast => :bool_yn
    field "created",          obj.created_at, :cast => :time
    field "expires in",       obj.expires_in, :cast => :duration_s
    field "access type",      obj.access_type
    field "token suffix",     obj.access_token_suffix
    field "token digest",     obj.access_token_digest, verbose: true
    field "fingerprint",      obj.fingerprint
    field "restrict",         obj.restrict
    field "enforce 2-factor", obj.enforce_two_factor
    field "scope",            obj.scope
    field "effective scope",  obj.effective_scope, verbose: true
  end
end
