# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No backups found."
  return
end

table(sort_cols: %w(label)) do |t|
  t.cols("label", "id", "capacity", "size", "created")

  data.each do |obj|
    cap_s = format_value(obj.capacity, :cast => :bytes)
    size_s = format_value(obj.comp_size, :cast => :bytes)

    t << [ obj.label, obj[:id], cap_s, size_s, format_time(obj.completed_at) ]
  end
end
