# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.is_a?(Array) 
  params   = nil
  products = data
else
  params   = data[:params]
  products = data[:products]
end

if products.length == 0
  puts "Query returned no results"
  return
end


unless params.nil?
  fieldset "Parameters" do
    field "Type",     "#{params.type} (#{params.type_desc})"
    field "Capacity", format_value(params.capacity, :nil_str => '?', :cast => :bytes)
    field "IOPS",     params.iops_desc
  end
end

if products.length == 1
  header "1 query result", [:blue, :bold]
else
  header "#{products.length} query results", [:blue, :bold]
end

table(header: false, sort_cols: nil) do |t|
  t.col(0).lpad = 1

  score_display = [ 'Best', 'Good' ]
  products.each_with_index do |res, idx|
    t << [ "* RESULT ##{idx+1}", "" ]
    t << [ "score",  idx == 0 ? 'Best' : 'Good' ]
    t << [ "serial", res.serial ] if options.verbose
    t << [ "tags",   res.tags.length > 0 ? res.tags.join(', ') : '-none-' ]
    t << [ "token",  res.token ]
    t << ['', ''] unless idx == products.length - 1
  end
end
