# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

require 'active_support/core_ext/hash/indifferent_access'

xl = options.extract_list

out = CSV.generate(:col_sep => options.col_sep) do |csv|
  converted = data.map do |obj|
    row = xl.each_with_index.map do |p, idx|
      matches = JsonPath.new(p).on(ActiveSupport::HashWithIndifferentAccess.new(obj))
      if matches.length == 0
        runtime_error "Failed to match path '#{p}' on output object. (index #{idx})"
      else
        if options.extract_flatten
          matches.first
        else
          matches.first.to_s
        end
      end
    end

    row.flatten! if options.extract_flatten

    if options.extract_format
      row = [ options.extract_format % row ]
    end

    row
  end

  converted.each do |row|
    csv << row
  end
end

raw out
