# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.empty?
  header 'No saved diagnostics files.'
  return
end

table do |t|
  t.cols('file', 'created', 'exception')
  data.each do |obj|
    file = File.basename(obj[:file])
    contents = obj[:contents]

    if contents.nil?
      t.add_row(file, '?', '?')
      next
    end

    ex = contents[:exception]
    ex_s = ex && "#{ex[:message]} (#{ex[:class]})"
    t.add_row(file, format_time(contents[:created_at]), ex_s)
  end
end
