# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No virtual disks found."
  return
end

table(sort_cols: %w(vss label)) do |t|
  t.cols("label", "serial", "vss", "capacity", "size", "size limit", "status")

  data.each do |obj|
    cap_str = format_value(obj.capacity, :nil_str => '?', :cast => :bytes)
    size_str = format_value(obj.dig(:sizing, :size), :nil_str => '?', :cast => :bytes)
    limit_str = format_value(obj.dig(:quota, :size, :limit), :nil_str => 'none', :cast => :bytes)

    t << [ obj.label, obj.serial, ref_str(obj.vss_id), cap_str,
           size_str, limit_str, partial(:obj_status, obj.status) ]
  end
end
