# Copyright (c) 2018, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

require 'active_support/inflector'

e = data

case e
when Blockbridge::CLI::RuntimeSuccess
  puts '{}'
when Clamp::HelpWanted
  puts({
         error: {
           code: "help_wanted",
           detail: "Requested help in unexpected context."
         }
       }.to_json)
when Blockbridge::Api::ExecutionError, Blockbridge::Api::ConflictError
  puts({
         error: {
           code: e.errors.first[:type],
           detail: e.errors.first[:qualifier]
         }
       }.to_json)
else
  puts({
         error: {
           code: e.class.name.demodulize.underscore,
           detail: e.message,
         }
       }.to_json)
end
