# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

nets = data

show_inuse = options.show_inuse
verbose = options.verbose

if nets.length == 0
  header "No interfaces found."
  return
end

if show_inuse
  num_hidden = 0
else
  num_hidden = nets.count { |net| net.inuse }
end

net_str = nets.length == 1 ? "interface" : "interfaces"
hidden_str = num_hidden == 1 ? "interface" : "interfaces"

header "Discovered #{nets.length} #{net_str}."
header "(not showing #{num_hidden} in-use #{hidden_str})" if num_hidden > 0
vspace

nets.each do |net|
  next if net.inuse && !show_inuse
  inuse = net.inuse ? color(" (IN-USE)", :red) : ""

  partial_out(:net_stats,
              net: net,
              title: "Network interface: #{net.interface}#{inuse}",
              heading: true)
end
