# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No nets found."
  return
end

data.each do |obj|
  fieldset("Net: #{obj.label} (#{obj.serial})", heading: true) do
    partial(:obj_basics, obj)
    field "node", ref_str(obj.node_id)
    field "interface", obj.interface
    field "hostname", obj.hostname, :nil_str => '-unset-'
    field "nat address", obj.nat_addr, :nil_str => '-unset-'
    field "state", obj.enabled ? 'enabled' : 'disabled'
    field "complex", obj.cplx_id ? "#{obj.cplx_id} (exclusive)" : 'shared'
  end

  if obj.portals
    fieldset("Portals") do
      field "whitelisted", obj.portals.join(', ')
    end
  end

  fieldset("Services") do
    obj.service.each_pair do |svc, attrs|
      ary = [ attrs.enabled ? 'enabled' : 'disabled' ]
      ary.push 'shared' if attrs.shared
      field svc, ary.join(', ')
    end
  end

  if obj.network
    partial_out(:net_stats,
                net: obj.network,
                title: "System",
                heading: false)
  end
end
