# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No object store records found."
  return
end

data.each do |obj|
  fieldset("Object Store: #{obj.label} (#{obj.serial})", heading: true) do
    partial(:obj_basics, obj)
    field "type", obj.type
    field "bucket name", obj.bucket_name
    field "host name", obj.host_name
    field "protocol", obj.protocol
    field "uri style", obj.uri_style, nil_str: '-auto-'
    field "access key id", obj.access_key_id, nil_str: '-unset-'
    field "secret access key", obj.secret_access_key_set, :cast => :bool_set
    field "security token", obj.security_token_set, :cast => :bool_set
    field "default wkey password", obj.default_wkey_password_set,
          :cast => :bool_set
  end

  if obj.location
    fieldset("Location") do
      field "city", obj.location.city
      field "state", obj.location.state
      field "country", obj.location.country
      field "lat", obj.location.lat
      field "long", obj.location.long
    end
  end
end
