# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data == nil
  header "No parameters found."
  return
end

obj = data
case obj.type
when 'management'
  idp = obj.openstack_idp
  fieldset("OpenStack Identity Provider", heading: true) do
    field "Label", idp.label
    field "URL", idp.url
    field "User name", idp.auth.user.name
    field "Project name", idp.auth.project.name
    field "Domain name", idp.auth.domain.name
    field "Enabled", idp.enabled
  end

  fieldset("OpenStack Target Portal Filter", heading: true,
           data: obj.openstack_portal_filter) do |fs, portal_filter|
    field "Filter", "#{portal_filter.ip}/#{portal_filter.mask}"
  end
end
