# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No sites found."
  return
end

data.each do |obj|
  fieldset("Site: #{obj.label} (#{obj.serial})", heading: true) do
    partial(:obj_basics, obj)
    field "tier", obj.tier
  end

  fieldset("Location") do
    field "city", obj.location.city
    field "state", obj.location.state
    field "country", obj.location.country
    field "lat", obj.location.lat
    field "long", obj.location.long
  end

  if obj.email.type == 'smtp'
    fieldset("SMTP configuration") do
      smtp = obj.email.smtp
      field "server", "#{smtp.server_addr} (port #{smtp.server_port})"
      field "use ssl", smtp.server_ssl
      field "from addr", smtp.mail_from
      field "use smtp auth", smtp.server_auth
      field "auth username", smtp.server_username if smtp.server_auth
    end
  end
end
