# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No snapshots found."
  return
end

data.each do |obj|
  fieldset("Snapshot: #{obj.label} (#{obj.serial})", heading: true) do
    partial(:obj_basics, obj)

    field "vss", ref_str(obj.vss_id)
    field "disk", ref_str(obj.vdisk_id)

    field "capacity", obj.capacity, :cast => :bytes
    field "timestamp", obj.timestamp, :cast => :time
    field "generation", obj.generation
    partial(:tags, obj.tags)
  end

  if options.with_references
    fieldset("Disk references") do
      refs = api.vdisk.list(basis_id: obj.id)
      if refs.length > 0
        refs.each_with_index do |r, idx|
          field "ref[#{idx}]", "#{r.label} (#{r.serial})"
        end
      else
        field "  (none)", ""
      end
    end
  end

  partial_out :xmd, obj.xmd
end
