# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

require 'active_support/core_ext/hash/indifferent_access'

xl = options.extract_list

table do |t|
  t.cols(*xl)

  data.each do |obj|
    row = xl.each_with_index.map do |p, idx|
      matches = JsonPath.new(p).on(ActiveSupport::HashWithIndifferentAccess.new(obj))
      if matches.length == 0
        runtime_error "Failed to match path '#{p}' on output object. (index #{idx})"
      else
        matches.first.to_s
      end
    end

    t << row
  end
end
