# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No users found."
  return
end

table(sort_cols: %w(login)) do |t|
  t.cols("login", "idp", "serial", "sessions", "enabled", "admin", "email")
  data.each do |user|
    t << [ user.login, user.idp && user.idp['label'], user.serial,
           (c = user.sessions.length) > 0 ? color(c, :green) : c,
           format_value(user.access.web, :cast => :bool_yn),
           format_value(user.account_admin, :cast => :bool_yn),
           user.email ]
  end
end
