# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

hdr = "#{color('blockbridge-cli', :bold)} version #{Blockbridge::CLI.package_version}"

fieldset(hdr) do |fs|
  field 'build time', ENV['BB_BUILD_TIME']
  field 'build host', ENV['BB_BUILD_HOST'], :verbose => true
  field 'api library', Blockbridge::Api.version_str
  field 'util library', Blockbridge::Util.version_str
  field 'ruby version', "#{RUBY_VERSION} (#{RUBY_PLATFORM})"
  field('ruby interpreter',
        File.join(RbConfig::CONFIG["bindir"], RbConfig::CONFIG["ruby_install_name"]),
        :verbose => true)

  if RUBY_PLATFORM =~ /linux/
    begin
      os_desc = `lsb_release -ds`
      field 'os release', os_desc.gsub(/(^"|"\s*$)/, '').strip
    rescue
    end
  end
end
