# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No virtual storage services found."
  return
end

table do |t|
  t.cols("label", "serial", "size", "size limit", "status")
  data.each do |obj|
    if obj.sizing
      size_str = format_value(obj.sizing[:size], :nil_str => '?', :cast => :bytes)
    end
    limit_str = format_value(obj.quota[:size][:limit], :nil_str => 'none', :cast => :bytes)
    t << [ obj.label, obj.serial, size_str, limit_str,
           partial(:obj_status, obj.status) ]
  end
end
