# Copyright (c) 2015, Blockbridge Networks LLC.  All rights reserved.
# Use of this source code is governed by a BSD-style license, found
# in the LICENSE file.

if data.length == 0
  header "No xmd records found."
  return
end

data.each do |obj|
  fieldset("XMD: #{obj.ref} (#{obj.serial})", heading: true) do
    partial(:obj_basics, obj)
    field "ref", color(obj.ref, :bold)
    field "vss", ref_str(obj.vss_id) if obj.vss_id
    partial(:tags, obj.tags)
    partial(:xmd_refs, obj.xmd_refs)
  end

  if obj.ext_status
    fieldset("External Status") do
      field "value", obj.ext_status.value
      field "indicator", obj.ext_status.indicator
      field "detail", obj.ext_status.detail
    end
  end

  header "Reverse Deps"

  if obj.rdeps
    if obj.rdeps.length > 0
      table do |t|
        t.cols({label: 'label', lpad: 1}, 'serial', 'id', 'ref')
        obj.rdeps.each do |e|
          t << [ e.label, e.serial, e.id, e.ref ]
        end
      end
    else
      empty_table " -none-"
    end
  end

  if obj.data.keys.length > 0
    fieldset("Data") do
      obj.data.each_pair do |k, v|
        k = '""' if k.empty?
        field k, format_json(v)
      end
    end
  end

  partial_out :xmd, obj.xmd
end
